Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class AbstractImageLoader

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.AbstractImageLoader

All Implemented Interfaces:
  ImageLoader

Direct Known Subclasses:
  CompositeImageLoader, ImageLoaderEPS, ImageLoaderImageIO, ImageLoaderInternalTIFF, ImageLoaderPNG, ImageLoaderRaw, ImageLoaderRawCCITTFax, ImageLoaderRawJPEG, ImageLoaderRawPNG

    public abstract class AbstractImageLoader

extends java.lang.Object
implements ImageLoader

Simple abstract base class for ImageLoaders.

Field Summary

Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader
`MEDIUM_LOADING_PENALTY, NO_LOADING_PENALTY`

Constructor Summary
`AbstractImageLoader()`

Method Summary
`int` | `getUsagePenalty()` Returns the penalty assigned to using this image loader.
`protected boolean` | `ignoreColorProfile(java.util.Map hints)` Indicates whether an embedded color profile should be ignored.
`Image` | `loadImage(ImageInfo info, ImageSessionContext session)` Loads and returns an image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageLoader
`getTargetFlavor, loadImage`

Constructor Detail

### AbstractImageLoader

    public AbstractImageLoader()

Method Detail

### loadImage

    public Image loadImage(ImageInfo info,
                           ImageSessionContext session)
                    throws ImageException,
                           java.io.IOException

  Loads and returns an image.

  Specified by:
    `loadImage` in interface `ImageLoader`
  Parameters:
    `info` - the image info object indicating the image
    `session` - the session context
  Returns:
    the fully loaded image
  Throws:
    `ImageException` - if an error occurs while loading the image
    `java.io.IOException` - if an I/O error occurs while loading the image

### getUsagePenalty

    public int getUsagePenalty()

  Returns the penalty assigned to using this image loader. The value is used to select the best processing chain for images.

  Specified by:
    `getUsagePenalty` in interface `ImageLoader`
  Returns:
    the usage penalty (must be a non-negative integer)

### ignoreColorProfile

    protected boolean ignoreColorProfile(java.util.Map hints)

  Indicates whether an embedded color profile should be ignored.

  Parameters:
    `hints` - a Map of hints that can be used by implementations to customize the loading process (may be null).
  Returns:
    true if any color profile should be ignored

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.